\documentclass{report}

\input{macros}

\author{Emmanuel Madrigal}

\title{Catálogo de Materia}

\begin{document}

\maketitle

\lstset{language=Matlab,%
	% basicstyle=\color{red},
	breaklines=true,%
	morekeywords={matlab2tikz},
	keywordstyle=\color{blue},%
	morekeywords=[2]{1}, keywordstyle=[2]{\color{black}},
	identifierstyle=\color{black},%
	stringstyle=\color{mylilas},
	commentstyle=\color{mygreen},%
	showstringspaces=false,%without this there will be a symbol in the places where there is a space
	numbers=left,%
	numberstyle={\tiny \color{black}},% size of the numbers
	numbersep=9pt, % this defines how far the numbers are from the text
	emph=[1]{for,end,break},emphstyle=[1]\color{red}, %some words to emphasise
	% emph=[2]{word1,word2}, emphstyle=[2]{style},    
}

\tableofcontents{}

\input{algebra_lineal}

\input{analisis_funcional}

\input{optimizacion}

\end{document}

